Botan 1.10.17

Public Member Functions | List of all members
Botan::Memory_Exhaustion Struct Reference

`#include <exceptn.h>`

Inheritance diagram for Botan::Memory_Exhaustion:

## Public Member Functions
const char * | what () const throw ()

## Detailed Description

Memory Allocation Exception

Definition at line 185 of file exceptn.h.

## Member Function Documentation

## ◆ what()

const char* Botan::Memory_Exhaustion::what | ( |  | ) | const
throw | ( |
| ) |  |
| inline

Definition at line 187 of file exceptn.h.

188 { return "Ran out of memory, allocation failed"; }

The documentation for this struct was generated from the following file:

- src/utils/exceptn.h